Bug 121714 - X-Server problem
X-Server problem
Status: CLOSED DUPLICATE of bug 120858
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 13:36 EDT by Paul Ellemo
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Ellemo 2004-04-26 13:36:51 EDT
Description of problem:
Error starting XServer. Activating XKB Config.

Version-Release number of selected component (if applicable):
The X.Org Foundation 60700000

How reproducible:
Everytime i start Linux

Steps to Reproduce:
1. Startup system
2.Danish language, keyboard
3. Login
  
Actual results:
Window showing an error in XKB

Expected results:
No error

Additional info:
gconftool-2 -R /desktop/gnome/periherals/keyboard/xkb
layouts = [dk]
 model = pc105
 overrideSettings = false
 options = []

xprop -root
_NET_DESKTOP_LAYOUT(CARDINAL) = 0, 0, 2, 0
_XROOTPMAP_ID(PIXMAP): pixmap id # 0x1800001
ESETROOT_PMAP_ID(PIXMAP): pixmap id # 0x1800001
NAUTILUS_DESKTOP_WINDOW_ID(WINDOW): window id # 0x1000029
_NET_WORKAREA(CARDINAL) = 0, 0, 1280, 975, 0, 0, 1280, 975, 0, 0,
1280, 975, 0, 0, 1280, 975
_METACITY_SENTINEL(CARDINAL) = 0
_NET_ACTIVE_WINDOW(WINDOW): window id # 0x2600011, 0x0
_NET_CLIENT_LIST_STACKING(WINDOW): window id # 0x1000029, 0x1001495,
0x1001721, 0x10017ff, 0x1001923, 0x2200006, 0x6000dc, 0x2600011, 0xc00004
_NET_CLIENT_LIST(WINDOW): window id # 0x1000029, 0xc00004, 0x1001495,
0x1001721,  0x10017ff, 0x1001923, 0x2200006, 0x6000dc, 0x2600011
_NET_DESKTOP_NAMES(UTF8_STRING) = 0x41, 0x72, 0x62, 0x65, 0x6a, 0x64,
0x73, 0x6f , 0x6d, 0x72, 0xc3, 0xa5, 0x64, 0x65, 0x20, 0x31, 0x0,
0x41, 0x72, 0x62, 0x65, 0 x6a, 0x64, 0x73, 0x6f, 0x6d, 0x72, 0xc3,
0xa5, 0x64, 0x65, 0x20, 0x32, 0x0, 0x41 , 0x72, 0x62, 0x65, 0x6a,
0x64, 0x73, 0x6f, 0x6d, 0x72, 0xc3, 0xa5, 0x64, 0x65, 0x20, 0x33, 0x0,
0x41, 0x72, 0x62, 0x65, 0x6a, 0x64, 0x73, 0x6f, 0x6d, 0x72, 0xc 3,
0xa5, 0x64, 0x65, 0x20, 0x34, 0x0
_NET_NUMBER_OF_DESKTOPS(CARDINAL) = 4
_NET_CURRENT_DESKTOP(CARDINAL) = 0
_NET_SUPPORTING_WM_CHECK(WINDOW): window id # 0xa00003
_NET_SUPPORTED(ATOM) = _NET_WM_NAME, _NET_CLOSE_WINDOW, _NET_WM_STATE,
_NET_WM_S TATE_SHADED, _NET_WM_STATE_MAXIMIZED_VERT,
_NET_WM_STATE_MAXIMIZED_HORZ, _NET_WM _DESKTOP,
_NET_NUMBER_OF_DESKTOPS, _NET_CURRENT_DESKTOP, _NET_WM_WINDOW_TYPE, _N
ET_WM_WINDOW_TYPE_DESKTOP, _NET_WM_WINDOW_TYPE_DOCK,
_NET_WM_WINDOW_TYPE_TOOLBAR , _NET_WM_WINDOW_TYPE_MENU,
_NET_WM_WINDOW_TYPE_DIALOG, _NET_WM_WINDOW_TYPE_NORM AL,
_NET_WM_STATE_MODAL, _NET_CLIENT_LIST, _NET_CLIENT_LIST_STACKING,
_NET_WM_ST ATE_SKIP_TASKBAR, _NET_WM_STATE_SKIP_PAGER,
_NET_WM_ICON_NAME, _NET_WM_ICON, _NE T_WM_ICON_GEOMETRY,
_NET_WM_MOVERESIZE, _NET_ACTIVE_WINDOW, _NET_WM_STRUT, _NET_
WM_STATE_HIDDEN, _NET_WM_WINDOW_TYPE_UTILITY,
_NET_WM_WINDOW_TYPE_SPLASH, _NET_W M_STATE_FULLSCREEN, _NET_WM_PING,
_NET_WM_PID, _NET_WORKAREA, _NET_SHOWING_DESKT OP,
_NET_DESKTOP_LAYOUT, _NET_DESKTOP_NAMES, _NET_WM_ALLOWED_ACTIONS,
_NET_WM_AC TION_MOVE, _NET_WM_ACTION_RESIZE, _NET_WM_ACTION_SHADE,
_NET_WM_ACTION_STICK, _N ET_WM_ACTION_MAXIMIZE_HORZ,
_NET_WM_ACTION_MAXIMIZE_VERT, _NET_WM_ACTION_CHANGE_ DESKTOP,
_NET_WM_ACTION_CLOSE, _NET_WM_STATE_ABOVE, _NET_WM_STATE_BELOW,
_NET_ST ARTUP_ID, _NET_WM_STRUT_PARTIAL, _NET_WM_ACTION_FULLSCREEN,
_NET_WM_ACTION_MINIM IZE, _NET_FRAME_EXTENTS, _NET_REQUEST_FRAME_EXTENTS
WM_ICON_SIZE(CARDINAL):
                minimum icon size: 32 by 32
                maximum icon size: 32 by 32
                incremental size change: 0 by 0
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc105", "dk", "", ""
RESOURCE_MANAGER(STRING) =
"*Box.background:\t#e6e6e6\n*Box.foreground:\t#000000
\n*Button.activeBackground:\t#e6e6e6\n*Button.activeForeground:\t#000000\n*Butto
n.background:\t#e6e6e6\n*Button.foreground:\t#000000\n*Button.highlightBackgroun
d:\t#e6e6e6\n*Button.highlightColor:\t#000000\n*Canvas.activeBackground:\t#fffff
f\n*Canvas.activeForeground:\t#000000\n*Canvas.background:\t#ffffff\n*Canvas.for
eground:\t#000000\n*Canvas.highlightBackground:\t#ffffff\n*Canvas.highlightColor
:\t#000000\n*Canvas.selectbackground:\t#4464ac\n*Canvas.selectforeground:\t#ffff
ff\n*Checkbutton.activeBackground:\t#e6e6e6\n*Checkbutton.activeForeground:\t#00
0000\n*Checkbutton.background:\t#e6e6e6\n*Checkbutton.foreground:\t#000000\n*Che
ckbutton.highlightBackground:\t#e6e6e6\n*Checkbutton.highlightColor:\t#000000\n*
Command.background:\t#e6e6e6\n*Command.foreground:\t#000000\n*Command.translatio
ns:\t<LeaveWindow>:\treset()\\n\t<Btn1Down>:\tset()\\n\t<Btn1Up>:\tnotify()
unse
t()\n*Dialog.background:\t#e6e6e6\n*Dialog.foreground:\t#000000\n*Entry.activeBa
ckground:\t#ffffff\n*Entry.activeForeground:\t#000000\n*Entry.background:\t#ffff
ff\n*Entry.foreground:\t#000000\n*Entry.highlightBackground:\t#ffffff\n*Entry.hi
ghlightColor:\t#000000\n*Entry.selectBackground:\t#4464ac\n*Entry.selectForegrou
nd:\t#ffffff\n*Form.background:\t#e6e6e6\n*Form.foreground:\t#000000\n*Frame.act
iveBackground:\t#e6e6e6\n*Frame.activeForeground:\t#000000\n*Frame.background:\t
#e6e6e6\n*Frame.foreground:\t#000000\n*Frame.highlightBackground:\t#e6e6e6\n*Fra
me.highlightColor:\t#000000\n*Label.activeBackground:\t#e6e6e6\n*Label.activeFor
eground:\t#000000\n*Label.background:\t#e6e6e6\n*Label.foreground:\t#000000\n*La
bel.highlightBackground:\t#e6e6e6\n*Label.highlightColor:\t#000000\n*List.backgr
ound:\t#ffffff\n*List.foreground:\t#000000\n*Listbox.activeBackground:\t#ffffff\
n*Listbox.activeForeground:\t#000000\n*Listbox.background:\t#ffffff\n*Listbox.fo
reground:\t#000000\n*Listbox.highlightBackground:\t#ffffff\n*Listbox.highlightCo
lor:\t#000000\n*Listbox.selectBackground:\t#4464ac\n*Listbox.selectForeground:\t
#ffffff\n*Menu.activeBackground:\t#e6e6e6\n*Menu.activeForeground:\t#000000\n*Me
nu.background:\t#e6e6e6\n*Menu.foreground:\t#000000\n*Menu.highlightBackground:\
t#e6e6e6\n*Menu.highlightColor:\t#000000\n*MenuButton.background:\t#e6e6e6\n*Men
uButton.foreground:\t#000000\n*Menubutton.activeBackground:\t#e6e6e6\n*Menubutto
n.activeForeground:\t#000000\n*Menubutton.background:\t#e6e6e6\n*Menubutton.fore
ground:\t#000000\n*Menubutton.highlightBackground:\t#e6e6e6\n*Menubutton.highlig
htColor:\t#000000\n*Radiobutton.activeBackground:\t#e6e6e6\n*Radiobutton.activeF
oreground:\t#000000\n*Radiobutton.background:\t#e6e6e6\n*Radiobutton.foreground:
\t#000000\n*Radiobutton.highlightBackground:\t#e6e6e6\n*Radiobutton.highlightCol
or:\t#000000\n*Scale.activeBackground:\t#e6e6e6\n*Scale.activeForeground:\t#0000
00\n*Scale.background:\t#e6e6e6\n*Scale.foreground:\t#000000\n*Scale.highlightBa
ckground:\t#e6e6e6\n*Scale.highlightColor:\t#000000\n*Scale.troughColor:\t#e6e6e
6\n*Scrollbar*Cursor:\tleft_ptr\n*Scrollbar*background:\t#e6e6e6\n*Scrollbar*cur
sorName:\tleft_ptr\n*Scrollbar*height:\t15\n*Scrollbar*pushThumb:\tfalse\n*Scrol
lbar*shadowWidth:\t2\n*Scrollbar*width:\t15\n*Scrollbar.activeBackground:\t#e6e6
e6\n*Scrollbar.activeForeground:\t#000000\n*Scrollbar.foreground:\t#000000\n*Scr
ollbar.highlightBackground:\t#e6e6e6\n*Scrollbar.highlightColor:\t#000000\n*Scro
llbar.troughColor:\t#e6e6e6\n*ScrollbarBackground:\t#e6e6e6\n*ShapeStyle:\tRecta
ngle\n*SimpleMenu*background:\t#e6e6e6\n*SimpleMenu*foreground:\t#000000\n*SmeBS
B*shadowWidth:\t3\n*Text.activeBackground:\t#ffffff\n*Text.activeForeground:\t#0
00000\n*Text.background:\t#ffffff\n*Text.foreground:\t#000000\n*Text.highlightBa
ckground:\t#ffffff\n*Text.highlightColor:\t#000000\n*Text.selectBackground:\t#44
64ac\n*Text.selectForeground:\t#ffffff\n*Toggle.background:\t#e6e6e6\n*Toggle.fo
reground:\t#000000\n*Toplevel.activeBackground:\t#e6e6e6\n*Toplevel.activeForegr
ound:\t#000000\n*Toplevel.background:\t#e6e6e6\n*Toplevel.foreground:\t#000000\n
*Toplevel.highlightBackground:\t#e6e6e6\n*Toplevel.highlightColor:\t#000000\n*Xm
CascadeButton.background:\t#e6e6e6\n*XmCascadeButton.foreground:\t#000000\n*XmCa
scadeButtonGadget.background:\t#e6e6e6\n*XmCascadeButtonGadget.foreground:\t#000
000\n*XmDialogShell.background:\t#e6e6e6\n*XmDialogShell.foreground:\t#000000\n*
XmFileSelectionBox.background:\t#e6e6e6\n*XmFileSelectionBox.foreground:\t#00000
0\n*XmForm.background:\t#e6e6e6\n*XmForm.foreground:\t#000000\n*XmFrame.backgrou
nd:\t#e6e6e6\n*XmFrame.foreground:\t#000000\n*XmLabel.background:\t#e6e6e6\n*XmL
abel.foreground:\t#000000\n*XmLabelGadget.background:\t#e6e6e6\n*XmLabelGadget.f
oreground:\t#000000\n*XmList.background:\t#ffffff\n*XmList.foreground:\t#000000\
n*XmMenuShell.background:\t#e6e6e6\n*XmMenuShell.foreground:\t#000000\n*XmMessag
eBox.background:\t#e6e6e6\n*XmMessageBox.foreground:\t#000000\n*XmPanedWindow.ba
ckground:\t#e6e6e6\n*XmPanedWindow.foreground:\t#000000\n*XmPushButton.backgroun
d:\t#e6e6e6\n*XmPushButton.foreground:\t#000000\n*XmPushButtonGadget.background:
\t#e6e6e6\n*XmPushButtonGadget.foreground:\t#000000\n*XmRowColumn.background:\t#
e6e6e6\n*XmRowColumn.foreground:\t#000000\n*XmSash.background:\t#e6e6e6\n*XmSash
.foreground:\t#000000\n*XmScrollBar.background:\t#e6e6e6\n*XmScrollBar.foregroun
d:\t#000000\n*XmScrolledWindow.background:\t#e6e6e6\n*XmScrolledWindow.foregroun
d:\t#000000\n*XmSelectionBox.background:\t#e6e6e6\n*XmSelectionBox.foreground:\t
#000000\n*XmSeparator.background:\t#e6e6e6\n*XmSeparator.foreground:\t#000000\n*
XmSeparatorGadget.background:\t#e6e6e6\n*XmSeparatorGadget.foreground:\t#000000\
n*XmTearOffButton.background:\t#e6e6e6\n*XmTearOffButton.foreground:\t#000000\n*
XmTearOffButtonGadget.background:\t#e6e6e6\n*XmTearOffButtonGadget.foreground:\t
#000000\n*XmText.background:\t#ffffff\n*XmText.foreground:\t#000000\n*XmTextFiel
d.background:\t#ffffff\n*XmTextField.foreground:\t#000000\n*XmToggleButton.backg
round:\t#e6e6e6\n*XmToggleButton.foreground:\t#000000\n*XmToggleButtonGadget.bac
kground:\t#e6e6e6\n*XmToggleButtonGadget.foreground:\t#000000\n*background:\t#e6
e6e6\n*beNiceToColormap:\tfalse\n*borderColor:\tblack\n*foreground:\t#000000\nEd
itres*Panner.Background:\t#e6e6e6\nEditres*Tree.Background:\t#ffffff\nEditres*Tr
ee.Foreground:\t#000000\nEditres*Tree.Toggle.Background:\t#e6e6e6\nEditres*Tree.
Toggle.Foreground:\t#000000\nEmacs*Background:\t#ffffff\nEmacs*Dialog*background
:\t#e6e6e6\nEmacs*Dialog*foreground:\t#000000\nEmacs*Foreground:\t#000000\nEmacs
*XlwScrollBar.Background:\t#e6e6e6\nEmacs*XlwScrollBar.Foreground:\t#000000\nEma
cs*backgroundToolBarColor:\t#e6e6e6\nEmacs*bottomToolBarShadowColor:\t#e6e6e6\nE
macs*menubar*background:\t#e6e6e6\nEmacs*menubar*foreground:\t#000000\nEmacs*pop
up*Background:\t#e6e6e6\nEmacs*popup*Foreground:\t#000000\nEmacs*toolBarShadowTh
ickness:\t0\nEmacs*topToolBarShadowColor:\t#e6e6e6\nEmacs.default.attributeBackg
round:\t#ffffff\nEmacs.default.attributeForeground:\t#000000\nXcursor.size:\t24\
nXcursor.theme:\tBluecurve\nXcursor.theme_core:\ttrue\nXft.antialias:\t1\nXft.dp
i:\t96.000000\nXft.hinting:\t1\nXft.hintstyle:\thintmedium\nXft.rgba:\tnone\n"
_XKB_RULES_NAMES(STRING) = "xfree86", "pc105", "dk", "", ""
XFree86_VT(INTEGER) = 7
XFree86_DDC_EDID1_RAWDATA(INTEGER) = 0, -1, -1, -1, -1, -1, -1, 0, 38,
-51, -84,  70, -62, 70, 0, 0, 3, 14, 1, 3, 14, 34, 27, 120, 42, 45,
-112, -92, 87, 74, -10 0, 37, 17, 80, 84, -65, -17, 0, -127, -128,
113, 79, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -68, 52, 0, -104, 81, 0,
42, 64, 16, -112, 19, 0, 84, 14, 17, 0, 0, 30,  0, 0, 0, -1, 0, 48,
53, 49, 57, 55, 71, 52, 49, 49, 56, 49, 49, 52, 0, 0, 0, -3 , 0, 55,
75, 24, 83, 14, 0, 10, 32, 32, 32, 32, 32, 32, 0, 0, 0, -4, 0, 80, 76,
69, 52, 51, 49, 10, 32, 32, 32, 32, 32, 32, 0, -20
Comment 1 Mike A. Harris 2004-05-04 13:12:47 EDT

*** This bug has been marked as a duplicate of 120858 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:02:46 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.